Create Thread
curl --request POST \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/threads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"threadId": "xyz",
"mode": "AI",
"chatUserEmail": null
}
'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/threads"
payload = {
"threadId": "xyz",
"mode": "AI",
"chatUserEmail": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({threadId: 'xyz', mode: 'AI', chatUserEmail: null})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Created the chatbot thread successfully",
"data": {
"thread": {
"threadId": "d2cd2d88-bac1-48de-a7b4-19797451f47g",
"mode": "AI",
"messages": [],
"startedAt": "2024-05-07T06:26:01.674375Z",
"updatedAt": "2024-05-07T06:26:01.674375Z",
"chatUserId": null,
"chatbotId": "361628903185318481",
"chatUser": null
}
}
}Threads
Create Thread
Create an empty thread of the chatbot.
POST
/
v0
/
chatbots
/
{chatbotId}
/
threads
Create Thread
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the chatbot
Body
application/json
Request Body
Was this page helpful?
⌘I